ASTSCRIPT-ZEROPOINT(1)

NAME
astscript-zeropoint - Estimate zero point of an image

SYNOPSIS
astscript-zeropoint [OPTIONS] image.fits

DESCRIPTION
Calculate the Zeropoint of the image based on a reference images or catalog.

  astscript-zeropoint options:

    Input(s):

-h, --hdu=STR/INT
    HDU/Extension name or number of input.

-S, --starcat=STR
    Catalog with positions for aperture photomery.

--starcathdu=STR/INT
    HDU of table in '--starcat'.

--starcatra=STR/INT
    Column in '--starcat' that contains RA.

--starcatdec=STR/INT
    Column in '--starcat' that contains DEC.

--mksrc=STR
    Makefile (for developers when debugging).

    Output:

-o, --output
    Output file name.

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

-K, --keepzpap
    Keep each aperture's zp in a different HDU.

    General settings

-a, --aperarcsec=FLT[,FLT]
    Aperture radius (in arc-seconds) for photometry.

-M, --magnituderange=FLT,FLT Range of the magnitude to be considered.

    Reference catalog mode

-c, --refcat=STR
    Reference catalog file name.

-C, --refcathdu=STR/INT
    Reference catalog HDU name of number.

-r, --refcatra=STR
    Reference catalog Right Ascension (R.A.) column.

-d, --refcatdec=STR
    Reference catalog Declination (Dec) column.

-m, --refcatmag=STR
    Reference catalog Magnitude column.

-s, --matchradius=FLT
    Radius (in arcsec) to match with reference.

    Reference image mode

-R, --refimgs=STR[,STR]
    Reference image name(s) with known zeropoint.

-H, --refimgshdu=STR/INT
    Reference image HDU name(s) or number (s).

-z, --refimgszp=FLT[,FLT]
    Zero point(s) of the reference image(s).

    Operating mode:

-h, --help
    Print this help.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

-N, --numthreads=INT
    Number of threads; maximum if not given.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponfing short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org

COPYRIGHT
Copyright © 2022-2025 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Sepideh Eskandarlou et al.

SEE ALSO
The full documentation for astscript-zeropoint is maintained as a Texinfo manual. If the info and astscript-zeropoint programs are properly installed at your site, the command

    info astscript-zeropoint

should give you access to the complete manual.